# This program demonstrates using Pygame for drawing
# with the mouse. The program is structured as a class.
# Note the use of tuples, e.g. (255,0,0) for the
# colour red.

import pygame
from pygame.locals import *

class PaintCircles:
    
    def __init__(self):
        # Initialize PyGame
        pygame.init()
        pygame.display.set_caption('Paint')
        self.screen = pygame.display.set_mode((640,480))
        self.screen.fill((255,255,255))

    def run(self):
        # Update display initially
        pygame.display.update()
        # Run the event loop
        self.loop()
        # Close the Pygame window
        pygame.quit()
    
    def loop(self):
        exit = False
        while not exit:
            # Handle input events
            exit = self.handleEvents()
            # Wait a little?
            pygame.time.delay(10)

    def handleEvents(self):
            exit = False
            for event in pygame.event.get():
                if event.type == QUIT:
                    exit = True
                elif event.type == KEYDOWN:
                    if event.key == K_ESCAPE:
                        exit = True
                elif event.type == MOUSEBUTTONDOWN:
                    self.paintCircle(pygame.mouse.get_pos())
                elif event.type == MOUSEMOTION:
                    b1,b2,b3 = pygame.mouse.get_pressed()
                    if b1 == True:
                        self.paintCircle(pygame.mouse.get_pos())
            return exit
        
    def paintCircle(self, pos):
        # Draw circle
        pygame.draw.circle(
            self.screen,
            (255,0,0),
            pos,
            50,
            0
            )
        pygame.draw.circle(
            self.screen,
            (0,0,0),
            pos,
            50,
            2
            )
        # Update display
        pygame.display.update()
            
# Start the game
PaintCircles().run()